Conda packaging issues?

I just tried to install fastai 2 as per the instructions with:

conda install -c fastchan fastai

I already have pytorch 1.9.0 installed but fastai the conda install was adding pytorch-cpu 1.6.0 rather than leveraging my already installed pytorch version?

Any ideas?

thanks